#!/bin/sh

if ! test -e "modules.php"; then
	echo "$0: Please execute this script from root directory."
	exit 1
fi

echo -n "" > DOCS/svn-errors.log
find -type f -name "*.php" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*-" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*_" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \; 2>> DOCS/svn-errors.log
find -type f -name "_*.php" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.xml" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.js" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \; 2>> DOCS/svn-errors.log

find -type f -name "*.php" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*-" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*_" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log
find -type f -name "_*.php" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.jpg" -exec svn propset svn:mime-type "image/jpeg" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.png" -exec svn propset svn:mime-type "image/png" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.gif" -exec svn propset svn:mime-type "image/gif" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.txt" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.tpl" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.xml" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.js" -exec svn propset svn:mime-type "text/javascript" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.css" -exec svn propset svn:mime-type "text/css" {} \; 2>> DOCS/svn-errors.log
find -type f -name ".htaccess" -exec svn propset svn:mime-type "text/plain" {} \; 2>> DOCS/svn-errors.log

find -type f -name "_*.php" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*-" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*_" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.php" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.txt" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.tpl" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.xml" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.js" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name "*.css" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
find -type f -name ".htaccess" -exec svn propset svn:eol-style "native" {} \; 2>> DOCS/svn-errors.log
